@version 2.3
@warnings
@script master
@name LnC_Settings

lnc_content = "[none]";
lnc_segment = 0;
c1, c2;

create
  {
    setdesc("LightNet: Cloud - Settings");  // set panel button text
  }

destroy
  {
    //See if the panel is open and close it
    if (reqisopen())
       {
        reqend();
       }
  }

options
  {
    if(reqisopen()) //Make sure the interface is open
        reqend();   //Close if open
    reqbegin("LightNet: Cloud - Settings");
    reqsize(255,100);


    c1 = ctlstring("Content",lnc_content);
    ctlposition(c1,8,10,235,20);

    c2 = ctlchoice("Segment",lnc_segment,@"1x","4x","16x","25x"@);
    ctlposition(c2,50,42,193,19);

    return if !reqpost();

    lnc_content = getvalue(c1);
    lnc_segment = getvalue(c2);

    reqend();
  }

save: what,io
  {
    if(what == SCENEMODE)
    {
      io.writeln("lnc_content ", lnc_content);
      io.writeln("lnc_segment ", lnc_segment);
    }
  }

load: what,io
  {
    if(what == SCENEMODE)
    {
        line = nil;
        lnc_content = "";

        line = io.read();
        items = parse(" ",line);
        if(items[1] == "lnc_content") 
          for (i=2; i <= items.size(); i++)
            lnc_content = lnc_content + string(items[i]) + " ";

        line = io.read();
        items = parse(" ",line);
        if(items[1] == "lnc_segment") lnc_segment = integer(items[2]);
    }
  }


